# Generated from paperclip-optimizer-2.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name paperclip-optimizer

Name: rubygem-%{gem_name}
Version: 2.0.0
Release: 1%{?dist}
Summary: Minify Paperclip image attachments like JPGs, GIFs or PNGs
License: MIT
URL: https://github.com/janfoeh/paperclip-optimizer
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 2.13
# BuildRequires: rubygem(rspec) < 3
# BuildRequires: rubygem(rails) >= 3.2.20
# BuildRequires: rubygem(rails) <= 4.2.0
# BuildRequires: rubygem(sqlite3) >= 1.3.10
# BuildRequires: rubygem(sqlite3) < 1.4
# BuildRequires: rubygem(rubocop) >= 0.26.1
# BuildRequires: rubygem(rubocop) < 0.27
BuildArch: noarch

%description
paperclip-optimizer is a Paperclip processor for optimizing and minifying
uploaded images.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/.ruby-gemset
%{gem_instdir}/.ruby-version
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/fixtures
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/paperclip-optimizer.gemspec
%{gem_instdir}/spec

%changelog
* Tue Apr 19 2022 mockbuilder - 2.0.0-1
- Initial package
